<?php
class alkLicenseChecker {
    public function check_license($alklicense_code = null) {
        $upload_dir = wp_upload_dir();
        $license_file = $upload_dir['basedir'] . "/lizenz_alk.dhb";

        // If a license code is provided, use it, otherwise, try to read the license file
        if ($alklicense_code) {
            $file = fopen($license_file, "w");
            if ($file) {
                fwrite($file, $alklicense_code);
                fclose($file);
            }
        } else {
            if (file_exists($license_file)) {
                $alklicense_code = file_get_contents($license_file);
            } else {
                return false;
            }
        }

        // Code an check_alk.php auf Server bergeben
        $url = 'http://www.brauerbund.org/check_alk.php?code=' . urlencode($alklicense_code);
        $result = file_get_contents($url);

        // If license check fails, delete the license file
        if ($result !== 'true') {
            unlink($license_file);
        }

        return $result === 'true';
    }
}
